cherokee-admin(8)

NAME
cherokee-admin - Runs Cherokee's administrative interface

SYNOPSIS
cherokee-admin [-d<DIR>] [-p<PORT>] [-C<FILE>] [-b] [-x] [-u] [-t]

DESCRIPTION
cherokee-admin runs the server for the administrative interface used to configure Cherokee. The interface itself will be available via your Web browser.

OPTIONS
cherokee-admin accepts the following options:

-h, --help
    Shows brief usage information

-V, --version
    Show version and exit

-x, --debug
    Print the backend errors to the terminal where it is executing. If omited, this debug information is lost.

-u, --unsecure
    Allows accessing cherokee-admin's interface without requiring the user to authenticate. This disables a security measure and is only meant to ease the development process. The usage of this parameter is strongly discouraged for regular users.

-b[<IP>], --bind[=<IP>]
    By default cherokee-admin binds only to 127.0.0.1 (localhost), which means you can only connect to it from the same system. With this parameter you can specify the network address to listen to. If no IP is provided, it will bind to all interfaces.

-d<DIR>, --appdir=<DIR>
    Uses a custom admin-interface path where the source files of cherokee-admin reside.

-p<NUM>, --port=<NUM>
    Specifies an alternative port. By default, 9090.

-t, --internal-unix
    By default, cherokee-admin uses TCP for internal communications. This parameter specifies that a Unix domain socket should be used instead. The default behavior is the safest one, so this parameter should rarely by used.

-T<NUM>, --thread=<NUM>
    Specify the number of threads that the program should use. Useful for memory/power constrained machines.

-C<PATH>, --target=PATH
    Requests a configuration file different than the default /etc/cherokee/cherokee.conf to be used

SEE ALSO
This program is a part of the Cherokee web server, cherokee(1)

AUTHOR
This manual page was written by Gunnar Wolf <gwolf@debian.org>, for the Debian GNU/linux system (but may be used by others). Maintainted by Taher Shihadeh <taher@unixwars.com>

Cherokee itself was written by Álvaro López Ortega <alvaro@alobbs.com>.